Page MenuHomePhabricator

Package apertium (and dependencies) for Jessie
Closed, ResolvedPublic

Description

We are upgrading the SCA cluster to Debian Jessie, so we need to get apertium ready.

  • Test it in Jessie locally.
  • Update/Rebuild apertium + dependencies
    • apertium
    • apertium-apy
    • apertium-lex-tools
    • cg3
    • hfst
    • hfst-ospell
    • lttoolbox
    • foma

Details

Related Gerrit Patches:
operations/debs/contenttranslation/apertium-kaz-tat : masterapertium-kaz-tat: Rebuild for Jessie and cleanup
operations/debs/contenttranslation/apertium-kaz : masterapertium-kaz: New upstream release and rebuild for Jessie
operations/debs/contenttranslation/apertium-urd-hin : masterapertium-urd-hin: Rebuild for Jessie and cleanup
operations/debs/contenttranslation/apertium-hbs-eng : masterapertium-hbs-eng: New upstream, rebuild for Jessie and cleanup
operations/debs/contenttranslation/apertium-hbs-slv : masterapertium-hbs-slv: New upstream, rebuild for Jessie and cleanup
operations/debs/contenttranslation/apertium-isl-eng : masterapertium-isl-eng: New upstream, rebuild for Jessie
operations/debs/contenttranslation/apertium-en-es : masterapertium-en-es: Rebuilt for Jessie
operations/debs/contenttranslation/apertium-eus : masterapertium-eus: Rebuild for Jessie and other fixes
operations/debs/contenttranslation/apertium-hbs : masterapertium-hbs: New upstream snapshot and rebuild
operations/debs/contenttranslation/apertium-isl : masterapertium-isl: Rebuild for Jessie and cleanup
operations/debs/contenttranslation/apertium-en-ca : masterapertium-en-ca: New upstream release and Jessie build
operations/debs/contenttranslation/apertium-hbs : masterapertium-hbs: Rebuild for Jessie and other fixes
operations/debs/contenttranslation/apertium-hin : masterapertium-hin: New upstream release and rebuild for Jessie
operations/debs/contenttranslation/apertium-pt-ca : masterapertium-pt-ca: Rebuild for Jessie, cleanup.
operations/debs/contenttranslation/apertium-fr-es : masterapertium-fr-es: New upstream and rebuild for Jessie
operations/debs/contenttranslation/apertium-eo-es : masterapertium-eo-es: Rebuild for Jessie, cleanup
operations/debs/contenttranslation/apertium-eu-es : masterapertium-eu-en: Rebuild for Jessie and cleanup
operations/debs/contenttranslation/apertium-hbs-mkd : masterapertium-hbs-mkd: Rebuild for Jessie and cleanup
operations/debs/contenttranslation/apertium-is-sv : masterapertium-is-sv: Rebuild for Jessie and cleanup
operations/debs/contenttranslation/apertium-id-ms : masterapertium-id-ms: Rebuild for Jessie and cleanup
operations/debs/contenttranslation/apertium-mlt-ara : masterapertium-mlt-ara: Rebuild for Jessie and new upstream
operations/debs/contenttranslation/apertium-oc-ca : masterapertium-oc-ca: Rebuild for Jessie and cleanup
operations/debs/contenttranslation/apertium-oc-es : masterapertium-oc-es: Rebuild for Jessie and cleanup
operations/debs/contenttranslation/apertium-pt-gl : masterapertium-pt-gl: Rebuild for Jessie, cleanup
operations/debs/contenttranslation/apertium-tat : masterapertium-tat: New upstream release and rebuild for Jessie
operations/debs/contenttranslation/apertium-mk-bg : masterapertium-mk-bg: Rebuild for Jessie and cleanup
operations/debs/contenttranslation/apertium-es-it : masterapertium-es-it: Rebuild for Jessie and other fixes
operations/debs/contenttranslation/apertium-cy-en : masterapertium-cy-en: Rebuilt for Jessie
operations/debs/contenttranslation/apertium-en-gl : masterapertium-en-gl: Rebuilt for Jessie and other fixes
operations/debs/contenttranslation/apertium-eo-ca : masterapertium-eo-ca: Rebuild for Jessie and fixed dependencies
operations/debs/contenttranslation/apertium-eo-en : masterapertium-eo-en: New upstream version and Jessie rebuild
operations/debs/contenttranslation/apertium-eo-fr : masterapertium-eo-fr: New upstream release and Jessie rebuild
operations/debs/contenttranslation/apertium-es-ast : masterapertium-es-ast: Rebuild for Jessie and cleanup
operations/debs/contenttranslation/apertium-es-ca : masterapertium-es-ca: Rebuild for Jessie and other fixes
operations/debs/contenttranslation/apertium-es-gl : masterapertium-es-gl: Rebuild for Jessie and cleanup
operations/debs/contenttranslation/apertium-es-pt : masterapertium-es-pt: Rebuild for Jessie and other fixes
operations/debs/contenttranslation/apertium-eu-en : masterapertium-eu-en: Rebuild for Jessie and cleanup
operations/debs/contenttranslation/apertium-af-nl : masterapertium-af-nl: New upstream version
operations/debs/contenttranslation/apertium-urd : masterapertium-urd: New upstream release and rebuild for Jessie
operations/debs/contenttranslation/hfst-ospell : masterhfst-ospell: Initial Debian packaging
operations/debs/contenttranslation/hfst : masterhfst: New upstream release
operations/debs/contenttranslation/lttoolbox : masterlttoolbox: New upstream version
operations/debs/contenttranslation/apertium-apy : masteraperium-apy: New upstream release
operations/debs/contenttranslation/apertium-lex-tools : masterapertium-lex-tools: New upstream release
operations/debs/contenttranslation/apertium : masterapertium: New upstream release
operations/debs/contenttranslation/cg3 : mastercg3: New upstream release
operations/debs/contenttranslation/lttoolbox : masterlttoolbox: New upstream version

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 295206 merged by Alexandros Kosiaris:
apertium-es-it: Rebuild for Jessie and other fixes

https://gerrit.wikimedia.org/r/295206

Change 296212 merged by Alexandros Kosiaris:
apertium-mk-bg: Rebuild for Jessie and cleanup

https://gerrit.wikimedia.org/r/296212

Change 296367 merged by Alexandros Kosiaris:
apertium-tat: New upstream release and rebuild for Jessie

https://gerrit.wikimedia.org/r/296367

Change 296162 merged by Alexandros Kosiaris:
apertium-pt-gl: Rebuild for Jessie, cleanup

https://gerrit.wikimedia.org/r/296162

Change 296209 merged by Alexandros Kosiaris:
apertium-oc-es: Rebuild for Jessie and cleanup

https://gerrit.wikimedia.org/r/296209

Change 296207 merged by Alexandros Kosiaris:
apertium-oc-ca: Rebuild for Jessie and cleanup

https://gerrit.wikimedia.org/r/296207

Change 296214 merged by Alexandros Kosiaris:
apertium-mlt-ara: Rebuild for Jessie and new upstream

https://gerrit.wikimedia.org/r/296214

Change 296159 merged by Alexandros Kosiaris:
apertium-id-ms: Rebuild for Jessie and cleanup

https://gerrit.wikimedia.org/r/296159

Change 296213 merged by Alexandros Kosiaris:
apertium-is-sv: Rebuild for Jessie and cleanup

https://gerrit.wikimedia.org/r/296213

Change 296051 merged by Alexandros Kosiaris:
apertium-hbs-mkd: Rebuild for Jessie and cleanup

https://gerrit.wikimedia.org/r/296051

Change 295697 merged by Alexandros Kosiaris:
apertium-eu-en: Rebuild for Jessie and cleanup

https://gerrit.wikimedia.org/r/295697

Change 295611 merged by Alexandros Kosiaris:
apertium-eo-es: Rebuild for Jessie, cleanup

https://gerrit.wikimedia.org/r/295611

Mentioned in SAL [2016-08-03T15:33:28Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-af-nl_0.2.0~r58256-1+wmf1

Mentioned in SAL [2016-08-03T15:33:28Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-arg_0.1.2~r65494-1+wmf1

Mentioned in SAL [2016-08-03T15:33:29Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-ca-it_0.1.1~r57554-1+wmf1

Mentioned in SAL [2016-08-03T15:33:30Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-cat_1.0.0~r65787-1+wmf1

Mentioned in SAL [2016-08-03T15:33:31Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-cy-en_0.1.1~r57554-3+wmf1

Mentioned in SAL [2016-08-03T15:33:32Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-en-gl_0.5.2~r57551-1+wmf1

Mentioned in SAL [2016-08-03T15:33:33Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-eo-ca_0.9.1~r60655-1+wmf1

Mentioned in SAL [2016-08-03T15:33:33Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-eo-en_1.0.0~r63833-1+wmf1

Mentioned in SAL [2016-08-03T15:33:34Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-eo-es_0.9.1~r60655-1+wmf1

Mentioned in SAL [2016-08-03T15:33:35Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-eo-fr_0.9.0~r57551-1

Mentioned in SAL [2016-08-03T15:33:36Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-es-ast_1.1.0~r60158-1+wmf1

Mentioned in SAL [2016-08-03T15:33:37Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-es-ca_1.2.1+svn~57448-1+wmf1

Mentioned in SAL [2016-08-03T15:33:38Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-es-gl_1.0.8~r57542-1+wmf1

Mentioned in SAL [2016-08-03T15:33:38Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-es-it_0.1.0~r51165-1+wmf1

Mentioned in SAL [2016-08-03T15:33:39Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-es-pt_1.1.5+svn~57507-1+wmf1

Mentioned in SAL [2016-08-03T15:33:40Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-eu-en_0.3.1~r60155-1+wmf1

Mentioned in SAL [2016-08-03T15:33:41Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-eu-es_0.3.3~r56159-1+wmf1

Mentioned in SAL [2016-08-03T15:33:42Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-hbs-mkd_0.1.0~r57554-1+wmf1

Mentioned in SAL [2016-08-03T15:33:43Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-id-ms_0.1.1+svn~57870-1+wmf1

Mentioned in SAL [2016-08-03T15:33:44Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-is-sv_0.1.0~r56030-1+wmf1

Mentioned in SAL [2016-08-03T15:33:45Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-mk-bg_0.2.0~r49489-1+wmf1

Mentioned in SAL [2016-08-03T15:33:46Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-mk-en_0.1.1~r57554-1+wmf1

Mentioned in SAL [2016-08-03T15:33:48Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-mlt-ara_0.2.0~r62623-1+wmf1

Mentioned in SAL [2016-08-03T15:33:49Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-nno_0.9.0~r69513-2+wmf1

Mentioned in SAL [2016-08-03T15:33:50Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-oc-ca_1.0.6~r60158-1

Mentioned in SAL [2016-08-03T15:33:51Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-oc-es_1.0.6~r60161-1+wmf1

Mentioned in SAL [2016-08-03T15:33:52Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-pt-gl_0.9.2~r60358-1

Mentioned in SAL [2016-08-03T15:33:53Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-spa_0.1.0~r65494-1+wmf1

Mentioned in SAL [2016-08-03T15:33:54Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-swe_0.7.0~r69513-1+wmf1

Mentioned in SAL [2016-08-03T15:33:55Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-tat_0.1.0~r60887-1+wmf1

Mentioned in SAL [2016-08-03T15:33:56Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-urd_0.1.0~r61311-1+wmf1

Mentioned in SAL [2016-08-05T16:02:59Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-arg-cat_0.1.0~r64925-1+wmf1

Mentioned in SAL [2016-08-05T16:03:00Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-spa-arg_0.4.0~r64399-1+wmf1

Change 295220 merged by Alexandros Kosiaris:
apertium-fr-es: New upstream and rebuild for Jessie

https://gerrit.wikimedia.org/r/295220

Change 296164 merged by Alexandros Kosiaris:
apertium-pt-ca: Rebuild for Jessie, cleanup.

https://gerrit.wikimedia.org/r/296164

Mentioned in SAL [2016-08-08T15:12:55Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-fr-es_0.9.2~r61322-1+wmf1

Mentioned in SAL [2016-08-08T15:12:56Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-pt-ca_0.8.2+svn~57507-1+wmf1

Mentioned in SAL [2016-08-09T12:05:56Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-fra_1.0.0~r65786-1+wmf1

Mentioned in SAL [2016-08-09T13:07:56Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-fra-cat_1.1.0~r64309-1+wmf1

Except few language pairs (which has their own tasks), every packages are done marked in this ticket.

KartikMistry renamed this task from Package and test apertium for Jessie to Package apertium (and dependencies) for Jessie.Aug 16 2016, 6:35 AM
KartikMistry removed a project: Patch-For-Review.
KartikMistry updated the task description. (Show Details)
Arrbee closed this task as Resolved.Aug 16 2016, 6:55 AM

Mentioned in SAL [2016-08-17T11:54:55Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-dan_0.5.0~r67099-2+wmf1

Mentioned in SAL [2016-08-17T11:54:55Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-nob_0.9.0~r69513-1+wmf1

Change 296228 merged by Alexandros Kosiaris:
apertium-hin: New upstream release and rebuild for Jessie

https://gerrit.wikimedia.org/r/296228

Mentioned in SAL [2016-08-17T12:10:53Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-hin_0.1.0~r59158-1+wmf1

Mentioned in SAL [2016-08-17T12:57:20Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-dan-nor_1.3.0~r67099-2+wmf1

Mentioned in SAL [2016-08-17T12:57:20Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-swe-dan_0.7.0~r66063-1+wmf1

Mentioned in SAL [2016-08-17T12:57:21Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-swe-nor_0.2.0~r69544-1+wmf1

Change 294675 merged by KartikMistry:
apertium-hbs: Rebuild for Jessie and other fixes

https://gerrit.wikimedia.org/r/294675

Change 305498 had a related patch set uploaded (by KartikMistry):
apertium-hbs: New upstream snapshot and rebuild

https://gerrit.wikimedia.org/r/305498

Change 294264 merged by Alexandros Kosiaris:
apertium-en-ca: New upstream release and Jessie build

https://gerrit.wikimedia.org/r/294264

Change 296050 merged by Alexandros Kosiaris:
apertium-isl: Rebuild for Jessie and cleanup

https://gerrit.wikimedia.org/r/296050

Change 305498 merged by Alexandros Kosiaris:
apertium-hbs: New upstream snapshot and rebuild

https://gerrit.wikimedia.org/r/305498

Change 294673 merged by Alexandros Kosiaris:
apertium-eus: Rebuild for Jessie and other fixes

https://gerrit.wikimedia.org/r/294673

Change 294314 merged by Alexandros Kosiaris:
apertium-en-es: Rebuilt for Jessie

https://gerrit.wikimedia.org/r/294314

Mentioned in SAL [2016-08-29T11:07:17Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-en-ca_0.9.3~r61328-2+wmf1

Mentioned in SAL [2016-08-29T11:07:26Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-en-es_0.8.0+svn~57502-2+wmf1

Mentioned in SAL [2016-08-29T11:07:27Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-eus_0.1.0-1+wmf1

Mentioned in SAL [2016-08-29T11:07:28Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-hbs_0.5.0~r68212-1+wmf1

Mentioned in SAL [2016-08-29T11:07:29Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-isl_0.1.0~r65494-1+wmf1

Mentioned in SAL [2016-08-29T11:07:30Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: giella-sme_0.0.20150917~r121176-1+wmf1

Change 296157 merged by Alexandros Kosiaris:
apertium-isl-eng: New upstream, rebuild for Jessie

https://gerrit.wikimedia.org/r/296157

Change 296203 merged by Alexandros Kosiaris:
apertium-hbs-slv: New upstream, rebuild for Jessie and cleanup

https://gerrit.wikimedia.org/r/296203

Change 296049 merged by Alexandros Kosiaris:
apertium-hbs-eng: New upstream, rebuild for Jessie and cleanup

https://gerrit.wikimedia.org/r/296049

Change 296368 merged by Alexandros Kosiaris:
apertium-urd-hin: Rebuild for Jessie and cleanup

https://gerrit.wikimedia.org/r/296368

Mentioned in SAL [2016-08-29T12:05:07Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-hbs-eng_0.1.0~r57598-1+wmf1

Mentioned in SAL [2016-08-29T12:05:08Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-hbs-slv_0.1.0~r59294-1+wmf1

Mentioned in SAL [2016-08-29T12:05:09Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-isl-eng_0.1.0~r66083-1+wmf1

Mentioned in SAL [2016-08-29T12:05:10Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-sme-nob_0.6.0~r61921-1+wmf1

Mentioned in SAL [2016-08-29T12:05:11Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-urd-hin_0.1.0~r64379-1+wmf1

Change 296366 merged by Alexandros Kosiaris:
apertium-kaz: New upstream release and rebuild for Jessie

https://gerrit.wikimedia.org/r/296366

Change 296369 merged by Alexandros Kosiaris:
apertium-kaz-tat: Rebuild for Jessie and cleanup

https://gerrit.wikimedia.org/r/296369

Mentioned in SAL (#wikimedia-operations) [2016-09-19T15:50:01Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-br-fr_0.5.0~r61325-1+wmf1

Mentioned in SAL (#wikimedia-operations) [2016-09-19T15:50:04Z] <akosiaris> T107306 uploaded to apt.wikimedia.org jessie-wikimedia: apertium-nno-nob_1.1.0~r66076-1+wmf1